<?php

namespace Drupal\social_tracking\Plugin;

/**
 * Provides an interface for all Social Tracking Type plugins.
 */
interface TrackingInterface {

  /**
   * Get the JS script code to be embedded in site.
   *
   * @return string
   *   Return Js Script.
   */
  public function getCodeScript();

  /**
   * Get the No script code to be embedded in site.
   *
   * @return string
   *   Return No JS Script.
   */
  public function getCodeNoScript();

}
